my $win = new Win32::GUI::Window (
    -name => "MainWin",
    -top => 100, -left => 100, -width => 100, -height => 100,
    -onTimer => \&timerEvent,
);

$win->AddTimer("a_timer",1000);
$win->AddTimer("another_timer",500);

$win->Show();

Win32::GUI::Dialog;

sub timerEvent {
    my($win, $timername) = @_;
    print $timername." just ticked!\n";
}
